function [] = buttonCopySoundspeed(~, ~)
%BUTTONCOPYSOUNDSPEED Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

%% Get selected index
index = artoaGui.editOffsets.comboboxSoundvelocityToApplied.Value;

%% Soundspeed 
if strcmp(artoaGui.editOffsets.comboboxSoundvelocityToApplied.String{index}, 'Measured')
    artoaWorkspace.editOffsets.soundspeed.Applied(1) = artoaWorkspace.editOffsets.soundspeed.Measured(1);
end
if strcmp(artoaGui.editOffsets.comboboxSoundvelocityToApplied.String{index}, 'Optimum')
    artoaWorkspace.editOffsets.soundspeed.Applied(1) = artoaWorkspace.editOffsets.soundspeed.Optimum(1);
end    
    
%% Update GUI
artoa.controller.edit.offsets.updateGui();

%% Recalculate
artoa.controller.edit.recalculateToaGpsAndPlot();

end

