function [] = updateMeasuredSoundspeed()
%UPDATEMEASUREDSOUNDSPEED Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

if artoa.data.hasMember(artoaWorkspace, {'trackParameter', 'soundspeedMethodString'})
    method = artoaWorkspace.trackParameter.soundspeedMethodString;
else
    method = 'del grosso';
end

artoaWorkspace.editOffsets.soundspeed{1, 1} = ...
    artoa.data.calculateSoundVelocity( ...
        artoaWorkspace.temperature(artoaWorkspace.statusTemperature == 1), ...
        artoaWorkspace.pressure(artoaWorkspace.statusPressure == 1), ...
        method ...
    );

artoa.controller.edit.offsets.updateGui();

end

